ggiDrawBox(3ggi)

NAME
ggiDrawBox, ggiPutBox, ggiGetBox - Draw, put, and get a rectangle from a visual

SYNOPSIS
#include <ggi/ggi.h>

int ggiDrawBox(ggi_visual_t vis, int x, int y, int w, int h);

int ggiPutBox(ggi_visual_t vis, int x, int y, int w, int h, void *buf);

int ggiGetBox(ggi_visual_t vis, int x, int y, int w, int h, void *buf); .SH "DESCRIPTION"

Draw, put, or get a rectangle at (x,y), extending w pixels in the positive x direction and h pixels in the positive y direction.

RETURN VALUE

All three functions return 0 to indicate success. Any other value indicates an error.

SEE ALSO
ggiDrawHLine(3), ggiDrawVLine(3), ggiDrawLine(3)